SalesforceRestDataProvider::SalesforceRestDataProvider Class Reference

The SalesforceRest data provider class. More...

Inherits AbstractDataProvider.

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (SalesforceRestClient rest)
| Creates the object from the arguments.
string | getName ()
| Returns the data provider name.

## Public Attributes

const | ConstructorOptions
| Constructor options.
const | EnvOptions
| Environment options.
const | HttpMethods
| Hash of HTTP Methods.
const | ProviderInfo
| Provider info.
SalesforceRestClient | rest
| The REST client object for API calls.

## Protected Member Functions

*AbstractDataProvider | getChildProviderImpl (string name)
| Returns the given child provider or NOTHING if the given child is unknown. More...
*list< string > | getChildProviderNamesImpl ()
| Returns a list of child data provider names, if any. More...
hash< DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.

## Static Protected Member Functions

static *hash< auto > | getClientOptions (*hash< auto > copts)
| Returns options for the SalesforceRestClient.

## Detailed Description

The SalesforceRest data provider class.

## Member Function Documentation

## getChildProviderImpl()

*AbstractDataProvider SalesforceRestDataProvider::SalesforceRestDataProvider::getChildProviderImpl | ( | string | name | ) |

protected

Returns the given child provider or NOTHING if the given child is unknown.

Returns
  the given child provider or NOTHING if the given child is unknown

See also
  getChildProviderEx()

## getChildProviderNamesImpl()

*list<string> SalesforceRestDataProvider::SalesforceRestDataProvider::getChildProviderNamesImpl | ( |  | ) |

protected

Returns a list of child data provider names, if any.

Returns
  a list of child data provider names, if any